Bug 469802 - Latest bluez-libs and bluez-utils breaks bluetooth keyboard usage
Latest bluez-libs and bluez-utils breaks bluetooth keyboard usage
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 22:46 EST by James R. Leu
Modified: 2009-03-05 09:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 09:04:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James R. Leu 2008-11-03 22:46:17 EST
Description of problem:
After upgrading bluez-utils and bluez-libs my bluetooth keyboard
(Rocketfish RF-BTKB2) stopped working.

Reverting to older bluez-libs and bluez-utils restored functionality 

Version-Release number of selected component (if applicable):
Working: bluez-libs 3.20-1.fc8, bluez-utils 3.20-4.fc8
Broken: bluez-libs 3.35-1.fc8 bluez-utils 3.35-3.fc8

How reproducible:
Very.

Steps to Reproduce:
1. Upgrade to latest bluez-libs and bluez-utils
2. Notice keyboard doesn't work
3. Remove keyboard from bluetooth manager (input and trust)
4. Pair keyboard using bluetooth manager
5. Notice keyboard does not work
6. Check /var/log/messages and see "Encryption link key not found"
7. Revert to older bluez-libs and bluez-utils
8. Remove keyboard from bluetooth manager (input and trust)
9. Pair keyboard using bluetooth manager
10. Notice keyboard works

Actual results:
Keyboard does not work.  Errors in /var/log/messages

Expected results:
Keyboard should work.

Additional info:
In an attempt to fix I re-paired the keyboard many times.  Each time it would successfully pair, but I would see the following error is /var/log/messages:

Nov  3 20:43:08 jleu-laptop hcid[18170]: Encryption link key not found

When I check the contents of /var/lib/bluetooth/<bt dongle mac>/linkkeys
I do not see an entry for my keyboard.

With 3.20 I do not see an entry in linkkeys for the keyboard either, but it
works just fine.
Comment 1 Bug Zapper 2008-11-26 06:16:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Leif Gruenwoldt 2008-12-08 23:50:17 EST
I'm tempted to say this still plagues Fedora 10.

I was running Fedora 8, just like the OP, using my bluetooth keyboard when around the same time it stopped working following a yum update. I have now upgraded to Fedora 10 and bluetooth is still broken.


$ tail /var/log/messages:
Dec  8 23:27:45 localhost kernel: bluetoothd[2952]: segfault at 7 ip 002e1b53 sp bfef0c50 error 4 in libc-2.9.so[272000+16e000]

$ service bluetooth status
bluetoothd dead but subsys locked

$ lsusb | grep Blue
Bus 002 Device 004: ID 22b8:0850 Motorola PCS Bluetooth Device
Comment 3 Bastien Nocera 2008-12-09 14:28:08 EST
Could you please get a backtrace of bluetoothd crashing? Don't forget to install the necessary packages:
http://fedoraproject.org/wiki/StackTraces
Comment 4 Leif Gruenwoldt 2008-12-10 00:03:44 EST
Ok I have a backtrace here. Unfortunately I can't reliably make it crash every time. I'm not sure what sequence it takes but the last thing I do before every crash is run "sudo hciconfig hci0 reset". Restarting the bluetoothd and rerunning that command alone doesn't make it crash though.

I got this backtrace by attaching to the bluetoothd pid in gdb.


Program received signal SIGSEGV, Segmentation fault.
malloc_consolidate (av=0x3e3140) at malloc.c:4886
4886	          nextp = p->fd;
(gdb) bt
#0  malloc_consolidate (av=0x3e3140) at malloc.c:4886
#1  0x002e391d in _int_malloc (av=0x3e3140, bytes=8192) at malloc.c:4229
#2  0x002e547f in __libc_calloc (n=1, elem_size=8192) at malloc.c:3946
#3  0x002d973d in open_memstream (bufloc=0xbf86efe4, sizeloc=0xbf86efe0)
    at memstream.c:86
#4  0x00352008 in __vsyslog_chk (pri=30, flag=1, 
    fmt=0xb8069609 "HCI dev %d down", ap=0xbf86f024 "") at ../misc/syslog.c:169
#5  0xb8063294 in vsyslog () at /usr/include/bits/syslog.h:48
#6  vinfo () at logging.c:36
#7  info (format=0xb8069609 "HCI dev %d down") at logging.c:45
#8  0xb8049eec in device_event () at main.c:548
#9  io_stack_event (chan=0xb8b77eb8, cond=G_IO_IN, data=0x0) at main.c:589
#10 0x001a132d in g_io_unix_dispatch (source=0xb8b782c8, 
    callback=0xb8049dc0 <io_stack_event>, user_data=0x0) at giounix.c:162
#11 0x0016a238 in g_main_dispatch () at gmain.c:2144
#12 IA__g_main_context_dispatch (context=0xb8b72048) at gmain.c:2697
#13 0x0016d8e3 in g_main_context_iterate (context=0xb8b72048, block=1, 
    dispatch=1, self=0xb8b71200) at gmain.c:2778
#14 0x0016de02 in IA__g_main_loop_run (loop=0xb8b74ea8) at gmain.c:2986
#15 0xb804a681 in main (argc=1, argv=0xbf86f714) at main.c:744
(gdb)


I should also note I'm getting this message repeated a lot in /var/log/messages:

Dec  9 23:13:30 localhost kernel: hci_cmd_task: hci0 command tx timeout
Dec  9 23:13:35 localhost bluetoothd[3123]: Can't write class of device: Connection timed out (110)


After googling that I came across a thread, https://bugs.launchpad.net/ubuntu/+bug/281949, and people are pointing fingers at a kernel upgrade that caused bluetooth to stop working for them.

Let me know if there is anything else I can try to help.
Comment 5 Bastien Nocera 2009-03-04 19:53:47 EST
Should work fine with recent kernel updates. Let me know if not.
Comment 6 James R. Leu 2009-03-04 21:36:20 EST
Just last week I upgraded to Fedora 10 and updated to the latest bluez and
kernel.  My bluetooth keyboard is working fine.

Thanks!
Comment 7 Bastien Nocera 2009-03-05 09:04:33 EST
Good stuff, thanks.

Note You need to log in before you can comment on or make changes to this bug.